import { stringifyEntities } from "../../../stringify-entities/lib/index.js";
var textEntitySubset = ["<", "&"];
function text(n, r, i, a) {
	return i && i.type === "element" && (i.tagName === "script" || i.tagName === "style") ? n.value : stringifyEntities(n.value, Object.assign({}, a.settings.characterReferences, { subset: textEntitySubset }));
}
export { text };
